#!/bin/bash

echo "请选择一个操作："
echo "1. 安装Geekbench 5"
echo "2. 运行Geekbench 5"
echo "3. 卸载Geekbench 5"
read -p "输入选项（1/2/3）: " option

case $option in
  1)
    # 下载Geekbench 5
    wget https://down.pc6a.com/02.%E8%BD%AF%E4%BB%B6/Geekbench-5.1.0-Linux.tar.gz
    # 解压缩文件
    tar -xzvf Geekbench-5.1.0-Linux.tar.gz
    echo "Geekbench 5 安装完成。"
    ;;
  2)
    # 进入Geekbench 5目录并运行
    if [ -d "Geekbench-5.1.0-Linux" ]; then
      cd Geekbench-5.1.0-Linux
      ./geekbench5
    else
      echo "Geekbench 5 目录不存在，请先安装。"
    fi
    ;;
  3)
    # 删除Geekbench 5目录和压缩包
    rm -rf Geekbench-5.1.0-Linux
    rm Geekbench-5.1.0-Linux.tar.gz
    echo "Geekbench 5 卸载完成。"
    ;;
  *)
    echo "无效的选项。"
    ;;
esac
